FFINDEX_APPLY_MPI:(1)

NAME
ffindex_apply_mpi: - apply a program to each FFindex entry (mpi enhanced)

DESCRIPTION
ERROR Not enough arguments.

USAGE: ffindex_apply_mpi [-m] [-q] [-l LOG_FILE] -d DATA_FILENAME_OUT -i INDEX_FILENAME_OUT DATA_FILENAME INDEX_FILENAME -- PROGRAM [PROGRAM_ARGS]*

-l  LOG_FILE like an FFindex file but with the return value of apply added. This file can be processed and used as FFindex file. E.g. grep " 1$" foo.log | cut -f 1-3 > foo-special.ffindex. where maybe the ffindex_apply_mpi ran with -- perl -e 'return 1 if(/^SPECIAL/)'

-m  Do not merge the FFindex parts generated by the different MPI processes This is useful for large MPI Jobs where merge time might be accounted.

-d  FFDATA output file, stdout of program will be captured

-i  FFINDEX output file, entries get the same name as input entry

Designed and implemented by Andreas Hauser <andy@splashground.de>. debian/tmp/usr/bin/ffindex_apply_mpi: Invalid argument

EXCEPTION ffindex_apply_mpi in rank: 0

ERROR Not enough arguments.

USAGE: ffindex_apply_mpi [-m] [-q] [-l LOG_FILE] -d DATA_FILENAME_OUT -i INDEX_FILENAME_OUT DATA_FILENAME INDEX_FILENAME -- PROGRAM [PROGRAM_ARGS]*

-l  LOG_FILE like an FFindex file but with the return value of apply added. This file can be processed and used as FFindex file. E.g. grep " 1$" foo.log | cut -f 1-3 > foo-special.ffindex. where maybe the ffindex_apply_mpi ran with -- perl -e 'return 1 if(/^SPECIAL/)'

-m  Do not merge the FFindex parts generated by the different MPI processes This is useful for large MPI Jobs where merge time might be accounted.

-d  FFDATA output file, stdout of program will be captured

-i  FFINDEX output file, entries get the same name as input entry

Designed and implemented by Andreas Hauser <andy@splashground.de>. debian/tmp/usr/bin/ffindex_apply_mpi: Invalid argument

EXCEPTION ffindex_apply_mpi in rank: 0

BUGS
User feedback is welcome, especially bugs, performance issues and last but not least convenience of the programs and API.

Email Andreas Hauser hauser@genzentrum.lmu.de.